% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ecout_fen.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 20.07.99
% Contenu : Joue le signal acoustique contenu 
% ds le subplot courant
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_ecout_fen

global NUM_FEN ACOU_FECH 

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);

% Recherche les indices du signal correspondants aux limites d'axes
% de la fenetre :
pos_x = get(gca,'Xlim');

acou_ecout_ext(pos_x(1),pos_x(2));
