% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lire_ceps.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 16.04.03
% Contenu : Lecture de l'option fem/masc pour le 
%           calcul ultrieur du cepstre
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_lire_ceps(val)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_lire_ceps(val)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_CEPS_VIS ACOU_CALC_CEPS

  ACOU_CALC_CEPS = 1;
  % Si c'est l'option Masculin
  if val == 1
    ACOU_CEPS_VIS = 4;
    % Sinon c'est l'option Fminin
  else
    ACOU_CEPS_VIS = 3.2;
  end
  delete(gcf);
  pos_curs;
