% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lire_loc.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 16.04.03
% Contenu : Lecture du type de locuteur
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_lire_loc

global ACOU_ORD_FFT ACOU_ORD_LPC ACOU_CALC_FFT ACOU_CALC_LPC ACOU_FEN_TMP ACOU_LONG_FEN

% Lecture des donnes pour le locuteur masculin
box_mas = findobj(gcf,'Style','checkbox','String','Masculin');
if get(box_mas,'Value')
  acou_lire_ceps(1);
end

% Lecture des donnees pour le locuteur fminin
box_fem = findobj(gcf,'Style','checkbox','String','Fminin');
if get(box_fem,'Value')
  acou_lire_ceps(2);
end


