% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_niv_gris.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date 21.06.99
% Modifi par H. Loevenbruck 28.01.2000
% Contenu : Modifie niv gris du spectrogramme
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_niv_gris(a)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_niv_gris(a)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);
spec = findobj(NUM_FEN,'Type','image');

if ~isempty(spec)
  axe_spec = get(spec(1),'Parent');
  subplot(axe_spec);
  g1=[ones(1,a),(1-1/a:-1/a:0)]';
  colormap([g1,g1,g1]);
  drawnow;
end
