% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : config_fen_sync.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Fenetre de saisie des donnes de 
%           configuration de la fenetre synchrone
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function config_fen_sync

num_fen = dialogue('Fenetre synchrone');
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Text','String','Nb Col:',...
    'Position',[0 taille_fen(4)/2+60 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','Coor_x:',...
    'Position',[0 taille_fen(4)/2+30 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','Coor_y:',...
    'Position',[0 taille_fen(4)/2 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','Dim_x:',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2+60 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','Dim_y:',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2+30 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','Titre:',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/6 taille_fen(4)/2+60 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/6 taille_fen(4)/2+30 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/6 taille_fen(4)/2 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[4*(taille_fen(3)/6) taille_fen(4)/2+60 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[4*(taille_fen(3)/6) taille_fen(4)/2+30 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[4*(taille_fen(3)/6) taille_fen(4)/2 taille_fen(3)/3-5 20]);

% Affichage des valeurs par dfaut
uicontrol(num_fen,'Style','Text','String','(2)',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+60 taille_fen(3)/6-5 20]);
uicontrol(num_fen,'Style','Text','String','(500)',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+30 taille_fen(3)/6-5 20]);
uicontrol(num_fen,'Style','Text','String','(50)',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2 taille_fen(3)/6-5 20]);
uicontrol(num_fen,'Style','Text','String','(500)',...
    'Position',[5*(taille_fen(3)/6) taille_fen(4)/2+60 taille_fen(3)/6-5 20]);
uicontrol(num_fen,'Style','Text','String','(270)',...
    'Position',[5*(taille_fen(3)/6) taille_fen(4)/2+30 taille_fen(3)/6-5 20]);
