% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_acc_old.m
% Source : Matlab
% Date : dcembre 2003
% Dernire modif H. Loevenbruck et CS 22.01.04
% Contenu : Calcule puis trace l'acclration d'une
%           bobine dans la fenetre principale
%           avec la formule drive de la drive 
%           de la position (ordre 1)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_acc_old(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  ema_acc(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EMA_TPS EMA_FECH EMA_FLAG

% Teste si le calcul des trajectoires a dj t effectu
if EMA_FLAG == 0
  errordlg(' Lancer la commande ''Trajectoire'' avant de visualiser les acclrations.',...
      'Erreur','on');
  return;
else
  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 
  msg = ['ATTENTION : ancienne formule de l''acclration pour : ' nom];
  disp(msg)

  % Calcul de l'acclration
  acc = calc_acc_old(sig,EMA_FECH);
  
  % Affichage
  trace_graphe(acc,EMA_TPS,['ACC. ',nom], '-', [1 1 0]);
end
