% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_lire_unit.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 18.03.03
% Contenu : Lecture de l'unit pour les bobines EMA
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_lire_unit(val)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_lire_unit(val)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_ECHELLE

fils = get(gcf,'Children');
check = get(fils(1),'Value');

% Si l'option est coche
if check
  % Si c'est l'option Centimtre
  if val == 1
    EMA_ECHELLE = 1;
    % Sinon c'est l'option Millimtre
  else
    EMA_ECHELLE = 1/10;
  end
end


  
    
