% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_acc_old.m
% Source : Matlab
% Date : 22.01.04
% Dernire modif 22.01.04 HL et CS
% Contenu : Calcule puis trace l'acclration d'une
%           constriction dans la fenetre principale
%           avec la formule drive de la drive 
%           de la position (ordre 1)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_acc_old(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_acc(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EPG_TPS EPG_FECH

% Calcul de l'acclration
acc = calc_acc_old(sig,EPG_FECH);
  
% Affichage
% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end 
trace_graphe(acc,EPG_TPS,['ACC. ',nom], '-', [ 1 1 0]);
