% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_eff_elec.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Dsactive toutes les lectrodes de 
%           la rgion affiche.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_eff_elec

global EPG_POS_ELEC

% R-affiche l'emplacement des lectrodes
hold off;
hp = plot(EPG_POS_ELEC(2,:),EPG_POS_ELEC(1,:),'x','ButtonDownFcn','epg_active_elec');

% La rfrence tant en haut  gauche, il faut inverser les axes
hsub = get(hp,'Parent');
set(hsub,'XDir','Reverse');
set(hsub,'YDir','Reverse');

% On enlve les axes qui n'ont aucune signification
set(hsub,'visible','off');
