% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : lire_nom_axes.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date 21.06.99
% Modifi par H. Loevenbruck 28.01.2000
% Contenu : Lecture du nom des axes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [nomx,nomy] =  lire_nom_axes

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

nomx = get(obj_edit(ind_edit_tries(1)),'String');
nomy = get(obj_edit(ind_edit_tries(2)),'String');

% Si une des variables est vide, alors Erreur!
if (isempty(nomx) | isempty(nomy))
  errordlg(' Il manque une ou plusieurs valeurs','Erreur','on');
else
  delete(gcf);
end
