% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_action.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 06.07.99
% Contenu : Lecture des options des fichiers 
%           de mesures
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_action

global MES_FECH MES_NB

% On rcupre les objets de type Edit
fils_edit = findobj(gcf,'Style','edit');

temp = get(fils_edit,'String');

if isempty(temp)
  errordlg(' Veuillez rentrer une valeur','Erreur','on');

else 
  fils_edit = findobj(gcf,'Style','text');
  if strcmp(get(fils_edit,'String'),'Frquence chantillonnage :')
    MES_FECH = str2num(temp);
  elseif strcmp(get(fils_edit,'String'),'Nombre total de Params/Mesures :')
    MES_NB = str2num(temp);
  end

  delete(gcf);
end 

