% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier :mes_nom_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 31.01.2000
% Contenu : Fenetre de saisie des noms de mesures
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_nom_dlg

global MES_NB

if MES_NB < 1
   errordlg(' Veuillez d''abord spcifier le nombre total de mesures contenues dans le fichier.', 'Erreur', 'on');
   return;
end

num_fen = dialogue('Nom des Params/Mesures');
taille_fen = get(num_fen,'Position');

for i = 1 : MES_NB
     chaine = sprintf('Mesure %d :', i);
     uicontrol(num_fen,'Style','Text','String',chaine,...
    'Position',[0 (MES_NB+2 -i)*taille_fen(4)/(MES_NB+2) taille_fen(3)/3 20]);

     uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 (MES_NB +2 -i)*taille_fen(4)/(MES_NB+2) taille_fen(3)/1.5-5 20]);
end
