% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : synchrone.m
% Source : Matlab
% Auteur : D. Lefebvre
% Dernire modification par H. Loevenbruck 12.09.02
% Contenu : Definition de la fenetre synchrone
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function synchrone(col,coord,dim,titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 4
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : synchrone(col, coord, dim, titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_SYNC COL_SYNC IND_SYNC

taille_ecran = get(0,'ScreenSize');
hfen = figure('Numbertitle','off','Name',titre,'Units','pixel','MenuBar', 'none', 'Position',[coord(1) taille_ecran(4)-coord(2)-dim(2) dim(1) dim(2)]);
%colordef(hfen,'white')

NUM_SYNC = hfen;
COL_SYNC = col;
IND_SYNC = 1;

for i=1 : col
  dessin(i) = subplot(1,col,i);
  set(dessin(i),'color',[0.4 0.4 0.4]);
end
