% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : tac_ouv.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 18.09.02
% Contenu : Lecture d'un fichier de paramtres TACLE
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function tac_ouv(nom_fic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================
if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : tac_ouv(nom_fic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global MES_NB MES_NOM

if MES_NB < 1
        errordlg(' Veuillez d''abord spcifier le nombre de params/mesures contenus dans le fichier.', 'Erreur', 'on');
        return;
   end

if isempty(MES_NOM)
        errordlg(' Veuillez d''abord spcifier le nom des params/mesures  extraire du fichier.', 'Erreur', 'on');
        return;
end 
   
param = deblank(MES_NOM(1,:));
for i = 2: MES_NB
        param = [param deblank(MES_NOM(i,:))];
end
   
mes_tac2asc(nom_fic, param);
fic_mes = [nom_fic(1:length(nom_fic)-4), '.lev'];
mes_ouv(fic_mes);