% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : titre_fenp_action.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 25.02.2000
% Contenu : Lecture des parametres du titre de
%           la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function titre_fenp_action

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

% On lit les valeurs rentres par l'utilisateur
coord_x = str2num(get(obj_edit(ind_edit_tries(1)),'String'));
coord_y = str2num(get(obj_edit(ind_edit_tries(2)),'String')); 
titre = get(obj_edit(ind_edit_tries(3)),'String');

% Si une des variables est vide, alors Erreur!
if (isempty(coord_x) | isempty(coord_y) | isempty(titre))
  errordlg(' Il manque une ou plusieurs valeurs','Erreur','on');
else
  delete(gcf);
  titre_fen_princ(coord_x, coord_y,titre);
end
