function R=acou_autocorr(N,sg,p);

% R=autocorr(N, sg, p)
%	calcul des p+1 premiers echantillons de la fonction d'autocorrelation 
%	a court terme, 
%	sg :  trame du signal utilise
%	N : nombre d'echantillons de la trame
%	p : prdre de decalage maximum pour la fonction de correlation
%	R : vecteur colonne contenant les p+1 coefficients d'autocorrelation

% Auteur : Solange Rossato
% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02

for j=1:p+1
	som=0;
	for k=1:N-j+1
		som=som+sg(k)*sg(k+j-1);
	end
	R(j)=som;
end
R=R';

	
