% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ceps_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Contenu : Boite de dialogue pour le cepstre
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_ceps_dlg

global ACOU_SIG 

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  return;
end

num_fen = dialogue('Locuteur - Locutrice');
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Checkbox','String','Masculin',...
    'Backgroundcolor','w',...
    'Position',[80 taille_fen(4)/2+30 taille_fen(3)-160 20],...
    'Callback','acou_lire_ceps(1)');

uicontrol(num_fen,'Style','Checkbox','String','Fminin',...
    'Backgroundcolor','w',...
    'Position',[80 taille_fen(4)/2-10 taille_fen(3)-160 20],...
    'Callback','acou_lire_ceps(2)');

