function S2=acou_lpcform(sg,p,fe)

% S=acou_Lpcform(sg,p,fe)
%	calcul le spectre lisse par LPC d'ordre p
%	pour une fenetre de ACOU_FRM_LENGTH ms du signal : trame sg echantillonne a 
%	la frequence fe (completee par des zeros si trop courte)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	10/11/96
%	Solange ROSSATO

% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% signal temporel

N1=length(sg);
sg = sg.*hamming(N1);

% transformee de fourier
N = 2*N1;
S=fft(sg,N);

% coefficients LPC
sg = [sg; zeros(N-N1,1)];
[A, alpha, k]=acou_auto(N,sg,p);

% fft de la reponse impulsionnelle
s2=acou_synthese(N,A);
S2=fft(s2*max(sg));
