% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : couper_dlg.m
% Source : Matlab
% Date : 15.07.99
% Auteur : H. Loevenbruck
% Contenu : En mode SUPERPOSE, ouverture d'une 
%           boite de dialogue pour confirmer
%           que le signal coup sera superpos
%           au signal initial
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function couper_dlg

global SUPERPOSE

if SUPERPOSE
  num_fen = dialogue('Couper et Superposer');
  taille_fen = get(num_fen,'Position');
  uicontrol(num_fen,'Style','Text','String','Attention !',...
    'Position',[0 taille_fen(4)/2+60 taille_fen(3) 20]);
  uicontrol(num_fen,'Style','Text','String','Vous avez click sur ''Superposer'',',...
    'Position',[0 taille_fen(4)/2+30 taille_fen(3) 20]);
  uicontrol(num_fen,'Style','Text','String','Confirmez-vous que le signal coup',...
    'Position',[0 taille_fen(4)/2 taille_fen(3) 20]);  
  uicontrol(num_fen,'Style','Text','String','doit etre superpos au signal initial ?',...
    'Position',[0 taille_fen(4)/2-30 taille_fen(3) 20]);  
else 

  get_coord_couper;
end

