% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_call_vit_tan.m
% Source : Matlab
% Auteur : H. Loevenbruck et C. Savariaux
% Date : 18.03.03
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Modifi par CS le 01/09/16 :
%       Passage  16 canaux
% Contenu : Appelle ema_vit_tang.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_call_vit_tan(numero)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_call_vit_tan(numero)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4
global EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4
% CS
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_X11 EMA_X12 EMA_X13 EMA_X14 EMA_X15 EMA_X16
global EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 EMA_Y11 EMA_Y12 EMA_Y13 EMA_Y14 EMA_Y15 EMA_Y16
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10 EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16
global EMA_Z1 EMA_Z2 EMA_Z3 EMA_Z4 EMA_Z5 EMA_Z6 EMA_Z7 EMA_Z8 EMA_Z9 EMA_Z10 EMA_Z11 EMA_Z12 EMA_Z13 EMA_Z14 EMA_Z15 EMA_Z16
    
switch numero
    case 1
        ema_vit_tang(EMA_X1,EMA_Y1, EMA_Z1, [EMA_BOB1])
    case 2
        ema_vit_tang(EMA_X2,EMA_Y2, EMA_Z2, [EMA_BOB2])
    case 3
        ema_vit_tang(EMA_X3,EMA_Y3, EMA_Z3, [EMA_BOB3])
    case 4
        ema_vit_tang(EMA_X4,EMA_Y4, EMA_Z4, [EMA_BOB4])
    case 5
        ema_vit_tang(EMA_X5,EMA_Y5, EMA_Z5, [EMA_BOB5])
    case 6
        ema_vit_tang(EMA_X6,EMA_Y6, EMA_Z6, [EMA_BOB6])
    case 7
        ema_vit_tang(EMA_X7,EMA_Y7, EMA_Z7, [EMA_BOB7])
    case 8
        ema_vit_tang(EMA_X8,EMA_Y8, EMA_Z8, [EMA_BOB8])
    case 9
        ema_vit_tang(EMA_X9,EMA_Y9, EMA_Z9, [EMA_BOB9])
    case 10
        ema_vit_tang(EMA_X10,EMA_Y10, EMA_Z10, [EMA_BOB10])
% Ajout 16 canaux
    case 11
        ema_vit_tang(EMA_X11,EMA_Y11, EMA_Z11, [EMA_BOB11])
    case 12
        ema_vit_tang(EMA_X12,EMA_Y12, EMA_Z12, [EMA_BOB12])
    case 13
        ema_vit_tang(EMA_X13,EMA_Y13, EMA_Z13, [EMA_BOB13])
    case 14
        ema_vit_tang(EMA_X14,EMA_Y14, EMA_Z14, [EMA_BOB14])
    case 15
        ema_vit_tang(EMA_X15,EMA_Y15, EMA_Z15, [EMA_BOB15])
    case 16
        ema_vit_tang(EMA_X16,EMA_Y16, EMA_Z16, [EMA_BOB16])
end
        

  
