% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_nom_bob_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.01.2000
% Modifi par CS le 06/11/02 :
%   Passage  10 bobines
% Contenu : Fenetre de saisie des noms des bobines
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_nom_bob_dlg

num_fen = dialogue('Nom des bobines');
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Text','String','Bobine 1 :',...
    'Position',[0 taille_fen(4)/2+140 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 2 :',...
    'Position',[0 taille_fen(4)/2+120 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 3 :',...
    'Position',[0 taille_fen(4)/2+100 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 4 :',...
    'Position',[0 taille_fen(4)/2+80 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 5 :',...
    'Position',[0 taille_fen(4)/2+60 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 6 :',...
    'Position',[0 taille_fen(4)/2+40 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 7 :',...
    'Position',[0 taille_fen(4)/2+20 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 8 :',...
    'Position',[0 taille_fen(4)/2 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 9 :',...
    'Position',[0 taille_fen(4)/2-20 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 10 :',...
    'Position',[0 taille_fen(4)/2-40 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 11 :',...
    'Position',[0 taille_fen(4)/2-60 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 12 :',...
    'Position',[0 taille_fen(4)/2-80 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 13 :',...
    'Position',[0 taille_fen(4)/2-100 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 14 :',...
    'Position',[0 taille_fen(4)/2-120 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 15 :',...
    'Position',[0 taille_fen(4)/2-140 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Text','String','Bobine 16 :',...
    'Position',[0 taille_fen(4)/2-160 taille_fen(3)/3 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+140 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+120 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+100 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+80 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+60 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+40 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+20 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-20 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-40 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-60 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-80 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-100 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-120 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-140 taille_fen(3)/1.5-25 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-160 taille_fen(3)/1.5-25 20]);