% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_normaliser.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.01.2000
% Contenu : Normalise les donnees provenant des 
%           bobines par la bobine de reference
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [xy_fn1,xy_fn2,xy_fn3,xy_fn4] = ema_normaliser(xy_ref,xy_f1,xy_f2,xy_f3,xy_f4)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 5
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_normaliser(xy_ref,xy_f1,xy_f2,xy_f3,xy_f4)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

xy_fn1 = xy_f1 - xy_ref;
xy_fn2 = xy_f2 - xy_ref;
xy_fn3 = xy_f3 - xy_ref;
xy_fn4 = xy_f4 - xy_ref;















