% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : enr_formant_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 28.10.02
% Contenu : Boite de dialogue pour les paramtres 
%           de l'enregistrement des formants :
%
%           - Nom du fichier
%           - Frquence d'chantillonnage (qui sera 
%           en fait vrifie par scurit)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function enr_formant_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : enr_formant_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

%=========================
% Entre du nom du fichier
%=========================

uicontrol(num_fen,'Style','Text','String','Nom du fichier :',...
    'Position',[0 taille_fen(4)/2+50 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2-20 taille_fen(4)/2+50 taille_fen(3)/2-5 20]);

