% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_reg_action.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Lecture du nom et du numro de la  
%          rgion + ouvre fenetre de slection.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_reg_action

%=====================================
% On rcupre les objets de type Edit
% Et on les trie dans l'ordre de 
% prsentation  l'cran
%=====================================
% On recupere les objets de type Edit
obj_edit = findobj(gcf,'Style','edit');
[edit_tries, ind_edit_tries] = sort(obj_edit);

% Lecture du nom et du numro de la rgion
num = get(obj_edit(ind_edit_tries(1)),'String');
nom = get(obj_edit(ind_edit_tries(2)),'String');

if isempty(nom) | isempty(num)
  errordlg(' Il manque un ou plusieurs paramtres','Erreur','on');
else
  num = str2num(num);
  delete(gcf);
  epg_reg_fen(num,nom);
end
