% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_acc_old.m
% Source : Matlab
% Auteur : CS
% Date : 03/12/03
% Dernire modif HL & CS 22.01.04
% Contenu : Trace l'acceleration d'un sgl issu d'EVA
%           dans la fenetre principale
%           avec la formule drive de la drive 
%           de la position (ordre 1)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_acc_old(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  eva_acc(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EVA_TPS1 EVA_TPS2 EVA_FECH1 EVA_FECH2

if strcmp(nom,'WA1') | strcmp(nom,'WA2') | strcmp(nom,'F0') | strcmp(nom,'EGG')
    fech = EVA_FECH1;
    tps = EVA_TPS1;
else
    fech= EVA_FECH2;
    tps = EVA_TPS2;
end


  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

  % Calcul de l'acclration
  acc = calc_acc_old(sig,fech);
  
  % Affichage
  trace_graphe(acc,tps,['ACC. ',nom], '-', [1 1 0]);
