% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_call_traj.m
% Source : Matlab
% Auteur : H. Loevenbruck et cS
% Date : 03/12/03
% Derniere modif : CS le 13/09/17
%   ajout du type AUX pour les signaux EVA
%
% Contenu : Appelle eva_traj.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_call_traj(numero)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_call_traj(numero)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2 EVA_INT EVA_AUX

switch numero
    case 1
        eva_traj(EVA_WA1,'WA1')
    case 2
        eva_traj(EVA_WA2,'WA2')
    case 3
        eva_traj(EVA_F0,'F0')
    case 4
        eva_traj(EVA_EGG,'EGG')
    case 5
        eva_traj(EVA_INT,'INT')
    case 6
        eva_traj(EVA_OAF,'OAF')
    case 7
        eva_traj(EVA_NAF,'NAF')
    case 8
        eva_traj(EVA_PR1,'PR1')
    case 9
        eva_traj(EVA_PR2,'PR2')
    case 10
        eva_traj(EVA_AUX,'AUX')
end
    
        

  
