% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_vit_dlg.m
% Source : Matlab
% Auteur : CS et LN
% Date : 03/12/03
% Contenu : Dfinition de la boite de choix
%           des vitesses des sgx EVA
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_vit_dlg

global FLAG_EVA NB_EVA

% Definition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');
num_fen = figure('Numbertitle','off','Name','Vitesse des signaux EVA',...
    'Units','pixel','MenuBar', 'none', 'Position',[taille_ecran(3)/2-160 ...
      taille_ecran(4)/2-40 340 80]);

% Definition du bouton Fermer
taille_fen = get(num_fen,'Position');
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 60 20],'Callback','delete(gcf)')

% Definition des boutons EVA
for i=1:NB_EVA
    ind = FLAG_EVA(i);
    if ind == 1
        uicontrol(num_fen,'Style','PushButton','String','WA1',...
        'Position',[5 40 34 25],'Callback','eva_call_vit(1)');
    elseif ind == 2
        uicontrol(num_fen,'Style','PushButton','String','WA2',...
        'Position',[5+taille_fen(3)/8 40 34 25],'Callback','eva_call_vit(2)');
    elseif ind == 3
        uicontrol(num_fen,'Style','PushButton','String','F0',...
        'Position',[5+2*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(3)');
    elseif ind == 4
        uicontrol(num_fen,'Style','PushButton','String','EGG',...
        'Position',[5+3*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(4)');
    elseif ind == 5
        uicontrol(num_fen,'Style','PushButton','String','INT',...
        'Position',[5+4*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(5)');
    elseif ind == 6
        uicontrol(num_fen,'Style','PushButton','String','OAF',...
        'Position',[5+5*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(6)');
    elseif ind == 7
        uicontrol(num_fen,'Style','PushButton','String','NAF',...
        'Position',[5+6*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(7)');
    elseif ind == 8
        uicontrol(num_fen,'Style','PushButton','String','PR1',...
        'Position',[5+7*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(8)');
    elseif ind == 9
        uicontrol(num_fen,'Style','PushButton','String','PR2',...
        'Position',[5+8*(taille_fen(3)/8) 40 34 25],'Callback','eva_call_vit(9)');
    end
end
