% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_eva.m
% Source : Matlab
% Auteur : C. Savariaux
% Date de cration : 02/12/03
% Derniere modif : CS le 01/06/04
%
% Contenu : Fichier d'exemple pour les donnes 
%           issues d'EVA 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)

% ouverture du fichier Wav
% On considere ce signal comme signal de ref Wav sur lequel on applique le
% spectrogramme
eva_ouv('U:\Europec-EVA\Agnes Job\aj_repet1_rap001.wa1','WA1');

% Ouverture des fenetres principales et synchrones
fenetre(1,5,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('pana pana');
titre(titre_signal);

% ouverture du fichier oaf
eva_ouv('U:\Europec-EVA\Agnes Job\aj_repet1_rap001.oaf','OAF');

% Visualisation
graphe_suivant;
eva_traj(EVA_OAF, 'OAF');

% ouverture du fichier naf
eva_ouv('U:\Europec-EVA\Agnes Job\aj_repet1_rap001.naf','NAF');

% Visualisation
graphe_suivant;
eva_traj(EVA_NAF, 'NAF');

% ouverture du fichier de intensit
eva_ouv('U:\Europec-EVA\Agnes Job\aj_repet1_rap001.int','INT');

% Visualisation
graphe_suivant;
eva_traj(EVA_INT, 'INT');

% ouverture du fichier de F0
eva_ouv('U:\Europec-EVA\Agnes Job\aj_repet1_rap001.F0','F0');

% Visulaisation
graphe_suivant;
eva_traj(EVA_F0, 'F0');

%zoom_in(11.5, 14.5);
titre_fen_princ(13, 2, 'Fichier .wav')
