% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : option.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Dfinition de la boite de dialogue
%           permettant la saisie d'une donne
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function option(titre,fonction)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : option(titre,fonction)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Text','String',fonction,...
    'Position',[10 taille_fen(4)/2+20 taille_fen(3)-20 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[10  taille_fen(4)/2 taille_fen(3)-20 20],'Callback','lance_actions');
